IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[FNMDL_EX_SONGUNDE_KARD_RESISYASYON_KONTROL]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION [dbo].[FNMDL_EX_SONGUNDE_KARD_RESISYASYON_KONTROL]
GO
CREATE FUNCTION [dbo].[FNMDL_EX_SONGUNDE_KARD_RESISYASYON_KONTROL](@HDOSYAID INTEGER,@MDLTEDAVITURU NVARCHAR(1))
RETURNS TABLE AS
RETURN

SELECT CASE WHEN HASTA_EX=1 AND KARDIYOPULMONER_RES_VAR=1 THEN 2
            WHEN HASTA_EX=1 AND KARDIYOPULMONER_RES_VAR=0 THEN 1 END KONTROL,'EX Hastada Kardiyopulmoner Res.Kontrolü' KontrolAdi,
			'Ex olan hasta dosyasında son günde kardiyopumoner Resistasyon işleminin varlığının kontrolu(Çıkış arihi girilmemişse ölüm tarihini bazı aldık) ' Aciklama
FROM 
(
	SELECT 
	 (
		  SELECT CASE WHEN COUNT(*)>0 THEN 1  ELSE 0 END  FROM VWHESAPISL H 
		  INNER JOIN HDOSYA HD ON HD.HDOSYAID=H.HDOSYAID 
		  WHERE H.IPTAL=0 AND DBO.TARIHAL(ISNULL(HD.GSSCIKISTARIHI,OLUMTARIHI))=DBO.TARIHAL(ITARIH) AND H.HDOSYAID=HDOSYA.HDOSYAID AND ITEMKODU2='550070' 
	 ) KARDIYOPULMONER_RES_VAR,
	 CASE WHEN  HDOSYA.GSSTABURCUKODU=10 THEN 1 ELSE 0 END HASTA_EX,MDLTEDAVITURU 
	FROM HDOSYA 
	INNER JOIN HKIMLIK ON HKIMLIK.HKIMLIKID=HDOSYA.HKIMLIKID
	WHERE HDOSYA.HDOSYAID=@HDOSYAID
) AS T


